package com.kingdee.eas.custom.gggl;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ContractChangeFactory
{
    private ContractChangeFactory()
    {
    }
    public static com.kingdee.eas.custom.gggl.IContractChange getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChange)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("BEDF46C0") ,com.kingdee.eas.custom.gggl.IContractChange.class);
    }
    
    public static com.kingdee.eas.custom.gggl.IContractChange getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChange)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("BEDF46C0") ,com.kingdee.eas.custom.gggl.IContractChange.class, objectCtx);
    }
    public static com.kingdee.eas.custom.gggl.IContractChange getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChange)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("BEDF46C0"));
    }
    public static com.kingdee.eas.custom.gggl.IContractChange getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.gggl.IContractChange)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("BEDF46C0"));
    }
}